{ fetchFromGitHub, rustPlatform, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "httpbounder";
  version = "unstable-2020-10-23";

  src = fetchFromGitHub {
    owner = "Szperak";
    repo = "httpbounder";
    rev = "540d8e8beea5b75c2761ab3500464f1ebdebbc4f";
    sha256 = "0m0q3835055xr2pq6726f9pp9ws1q6mwhfmgkylsagzzkrcpmnar";
  };
  cargoPatches = [ ./httpbounder.patch ];

  cargoSha256 = "137zl2d2pr5p4zr6a8rrbc52izz25yh6cgilvag4fvnhgwv986c0";
  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ openssl ];
}
